@import "variables";
@import "node_modules/compass-mixins/lib/compass/css3/border-radius";
@import "mixin";

@font-face {
  font-family: Aileron;
  src: url(/assets/fonts/Aileron-Light.otf) format("opentype"), url(/assets/fonts/Aileron-Regular.otf) format("opentype");
  font-weight: 400;
  font-style: normal;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  margin: 0;
  font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-weight: 600;
  line-height: 1.2;
  color: inherit;
}

body,html{
  height:100%;
  background: #fafcfe;
}
body{
  font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 13px;
}
.navbar{
  @include border-radius(0,0);
  border:none;
}

.nav > li > a:focus {
  background-color: #5f5f5f !important;
}

label{
  font-size: 1em;
}

ul.nav-tabs {
   li > a{
     background-color: #5f5f5f;
     color: #fff !important;
     padding: 2px 15px;
     &:focus{
       outline: none;
     }
   }

   li.active > a, li a:hover, li.active > a:focus, li > a:focus {
     color: #fff !important;
     background-color: #B80000 !important;
  }
}
.form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control{
  background-color: lighten($color-gray-lightest,50%);
}
a{
  transition:all 0.2s ease ;
  cursor: pointer;
  color: darken($color-primary,10%);
  &:focus{
    background-color: transparent !important;
  }
  &:hover{
    text-decoration: none;
  }
}
p{
  margin: 0;
}
.nav .open > a,
.nav .open > a:hover,
.nav .open > a:focus {
  background-color: transparent !important; }
i{
  margin-right: 5px;
}
.breadcrumb{
  padding: 0;
  background-color: transparent;
  li{
    font-size: 9.75pt;
    color: $color-gray-lighter;
    text-transform: capitalize;
  }
}
form{
  margin-bottom: 0;
}
.form-style{
  h4{
    @include font-medium;
    color: $color-primary;
    font-weight: 500;
  }
  .h4-style{
    margin-top: 0;
    background-color: $color-light;
    color: $color-active;
    padding: 5px;
    margin-bottom: 0;
  }
  .form-group{
    position: relative;
    label{
      font-size: 1em;
      font-weight: 900;
      color: $color-gray-light;
      margin-bottom: 2.5px;
      .txt-required{
        color: $color-danger;
      }
    }
    .form-control-feedback{
    }
  }
}
label{
  font-weight: 600;
  color: $color-gray-light;
  .txt-required{
    color: $color-danger;
  }
}

.form-inline{


  .form-group{
      margin-right: 5px;
  }

}

.form-control{
  border-radius: 5px;
  box-shadow:none;
  border-color: lighten($color-gray-lightest,30%);
  padding:1px 6px;
  height: 29px;
  font-size:13px;
  &::-webkit-input-placeholder{
    font-style: italic;
  }
}
.form-group{
  .control-label{
    text-align: left;
  }
  label{
    font-weight: bold;
  }
  margin-bottom: 5px;
}
.tooltip{
  .tooltip-iner{
    background-color: $color-danger !important;
    .tooltip-arrow{
      border-color: $color-danger !important;
    }
  }
}
.form-inline{
  label{
    font-weight: 500;
    font-size: 1em;
  }
}
.nav-stacked>li+li{
  margin-top: 0;
}

//Modal
.modal-style-default{
  .modal-content{
    border-radius: 0;
    .modal-header{
      padding: 5px;
      color: $color-active;
      position: relative;
      h4{
        @include font-medium;
        font-weight: 500;
        text-transform: uppercase;
      }
      .close{
        position: absolute;
        top: 1px;
        right: 0;
        width: 34px;
        height: 30px;
        font-size:27px;
        opacity: 1;
        color: $color-danger;
        &:hover{
          opacity: 0.5;
        }
      }
    }
  }
  .modal-body{
    background-color: lighten($color-primary,84%);
    max-height: 500px;
    padding: 5px;
    .table{
      max-height: 500px;
    }
  }
  .modal-footer{
    padding: 5px;
  }
  .showing{
    color: $color-gray-lightest;
  }
}

.panel {
  margin-bottom: 20px;
  border-width: 1px;
  padding: 5px;
  border-style: solid;
  border-radius: 4px;
  border-color: #dfe8f1;
  background-color: #fff;
  box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
  > .panel-heading {
    color: #333333;
    background-color: #ffffff;
    border-color: #efefef;
    text-transform: uppercase;
  }
}

/*custom  panel boostrap */
$color-primary:#012147;
.panel-heading h3
{
  display:inline-block;
  font-size:16px;
  margin:0 10px 0 0;
}
.panel-primary>.panel-heading
{
  background:$color-primary;
  border-color:$color-primary;
}
.panel-primary{
  border-color:$color-primary;
}

//pagination
.pagination {
  margin: 0;
  li {
    a {
      padding: 2px 10px;
      margin-left: 3px;
      @include border-radius(4px);
      color: $color-gray-lightest;
      @include font-medium;
      cursor: pointer;
      i {
        margin-right: 0;
      }
      &:hover {
        background-color: lighten($color-gray-lightest, 20%);
        border-color: lighten($color-gray-lightest, 15%);
        color: $color-light;
      }
    }
    &.active {
      a {
        background-color: $color-active;
        color: $color-light;
        border-color: darken($color-active, 5%);
      }
    }
  }
}

.txt-required{
  color: $color-danger;
}
//checkbox

//alert
.alert{
  padding: 5px;
  margin-bottom: 2.5px;
  @include border-radius(0);
  border-left-width:5px ;
  &.alert-danger{
    color: $color-danger;

  }
}

//table
.table{
  background-color: $color-light;
  .table{
    background-color: transparent;
  }
  th{
    vertical-align: middle !important;
    //text-transform: capitalize;
  }
  tr{
    td{
      vertical-align: middle;
      word-wrap: break-word;
      &.disabled{
        background-color: lighten($color-gray-lightest,45%);
      }
    }
  }
}
.table>caption+thead>tr:first-child>td, .table>caption+thead>tr:first-child>th, .table>colgroup+thead>tr:first-child>td, .table>colgroup+thead>tr:first-child>th, .table>thead:first-child>tr:first-child>td, .table>thead:first-child>tr:first-child>th{
  border-top: 1px solid #ddd;
}

.input-group{
  .dropdown-menu{
    min-width: calc(100% - 5px);
    border-radius: 0;
    padding: 0;
    li{
      a{
        padding: 3px 10px;
      }
    }
  }

  .btn-add-more{
    background-color: $color-active;
    color: $color-light;
    margin-left: 0;
    padding: 3px 7px;
    text-align: center;
    i{
      margin-right: 0;
    }
    &:hover{
      background-color: $color-primary;
    }
  }
}

/*==============================
  BUTTON 
================================*/
.btn{
  font-size: 12px;
}

select.form-control{
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  option{
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
  }
}
.has-feedback .form-control{
  padding-right: 0 !important;
}
.form-horizontal .checkbox, .form-horizontal .checkbox-inline, .form-horizontal .radio, .form-horizontal .radio-inline{
  padding-top: 0;
}
.form-horizontal .checkbox, .form-horizontal .radio{
  min-height: 20px;
}
input[type=checkbox], input[type=radio]{
  margin: 2px 0 0;
}

.list-inline{
  li{
    input[type=checkbox], input[type=radio]{
      vertical-align: middle;
      margin: -1px 0 0;
    }
  }
}

.tab-content{
  background-color: #f7f7f7;
  padding: 10px;
}

iframe{
  border: none;
}

.fieldset{

  border: 1px solid #9c9b9b;
  padding: 5px 10px 15px 10px;
  background: #fbfbfb;
  margin-bottom: 8px;

  &.style-white-bg{
    background: #fff;
  }



  legend{
    border: 0px solid #fff;
    width: auto;
    padding: 0px 10px;
    background: #a0a0a0;
    color: #fff;
    margin: 0;
    font-size: 1em;
    border-radius: 10px;
  }

}


select {
}